{% extends 'base.html.twig' %}

{% block body %}
	{{ include('flash/message.html.twig') }}
	<h1>Usuario</h1>
	<div class="form-horizontal">
		<div id="convenios">
			<div class="form-group">
				<label class="col-sm-2 control-label">ID</label>
				<div class="col-sm-10">
					{{usuario.id}}
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">Usuario</label>
				<div class="col-sm-10">
					{{usuario.username}}
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">Email</label>
				<div class="col-sm-10">
					{{usuario.email}}
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">Ultimo Login</label>
				<div class="col-sm-10">
					{{usuario.lastLogin and usuario.id > 1 ? usuario.lastLogin|date('Y-m-d H:i:s') : ''}}
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">Roles</label>
				<div class="col-sm-10">
					{% if usuario.roles is iterable %}
            {% for item in usuario.roles %}
              {{ item|join(', ') }}
            {% endfor %}
           {% endif %}
				</div>
			</div>
		</div>
		{% if is_granted('ROLE_ADMIN') %}
			<!-- { form(delete_form, { 'attr': { 'class': 'input-lg' } }) }} -->
			</a>
		{% endif %}
	</div>
{% endblock %}
